<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>

    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.5.0" />
    <PackageReference Include="xunit" Version="2.4.0" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.0" />
    <PackageReference Include="coverlet.collector" Version="1.2.0" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Keys\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Liquid.Encryption.Pgp\Liquid.Encryption.Pgp.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Keys\TestPrivateKey.asc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Keys\TestPublicKey.asc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
